﻿Public Interface iChatClient
    Property Port As Integer
    Property IP As String

    Sub connect()
    Sub connect(ByVal IP As String)
    Sub connect(ByVal IP As String, ByVal Port As Integer)

    Sub sendMessage(ByVal text As String)

    Sub sendMessageGroup(ByVal text As String, ByVal GroupName As String)
    Sub sendMessageGroup(ByVal text As String, ByVal GroupID As Integer)

    Sub sendPrivateMessage(ByVal text As String, ByVal UserName As String)
    Sub sendPrivateMessage(ByVal text As String, ByVal UserID As Integer)

End Interface

Public Interface iDatabaseConnection
    Property IP As String
    Property Port As Integer

    Sub connect()

    Function createUser(ByVal UserName As String, ByVal Group As String, ByVal rights As String) As Boolean
End Interface